summaryrefslogtreecommitdiff
path: root/debian/tests
diff options
context:
space:
mode:
Diffstat (limited to 'debian/tests')
-rw-r--r--debian/tests/control2
-rw-r--r--debian/tests/run-tests8
2 files changed, 10 insertions, 0 deletions
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 00000000..2ca0a401
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,2 @@
+Tests: run-tests
+Depends: @, apt-utils, python-debian, fakeroot, intltool
diff --git a/debian/tests/run-tests b/debian/tests/run-tests
new file mode 100644
index 00000000..bb980c6b
--- /dev/null
+++ b/debian/tests/run-tests
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+set -e
+
+# from debian/rules
+for python in $(utils/pyversions -r); do
+ $python tests/test_all.py -q
+done